#if defined(__GNUC__) || defined(__clang__) || defined(XTEST_USE_INCLUDE_NEXT)
#include_next <assert.h>
#else
#include <assert.h>
#endif

#define XTEST_XASSERT


#if defined(XTEST) && !defined(XTEST_XTEST_H)

void xtest_internal_assert(const char* file, int line, const char* func, const char* expr);

#undef assert

#define assert(__e) ((__e) ? (void)0 : xtest_internal_assert(__FILE__, __LINE__, \
						       __func__, #__e))

#endif //defined(XTEST) && !defined(XTEST_XTEST_H)
